=== debian/control ===
Source: ros-indigo-warehouse-ros
Section: misc
Priority: extra
Maintainer: Ioan Sucan <isucan@google.com>
Build-Depends: debhelper (>= 9.0.0), libcurl4-openssl-dev, libgtest-dev, libmongo-client-dev, libssl-dev, mongodb-dev, python-pymongo, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-rostest, ros-indigo-rostime, ros-indigo-std-msgs
Homepage: http://ros.org/wiki/warehouse_ros
Standards-Version: 3.9.2

Package: ros-indigo-warehouse-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcurl4-openssl-dev, libssl-dev, mongodb, python-pymongo, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-std-msgs
Description: Persistent storage of ROS data using MongoDB
